Bug 1413587 - [RFE] katello-backup should take backup of redhat-release and satellite version.rb file
Summary: [RFE] katello-backup should take backup of redhat-release and satellite versi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Backup & Restore
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: Christine Fouant
QA Contact: Evgeni Golov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 13:05 UTC by Sachin Ghai
Modified: 2019-09-25 21:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:49:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18277 0 None None None 2017-01-26 21:44:36 UTC

Description Sachin Ghai 2017-01-16 13:05:27 UTC
Description of problem:
I was trying to restore a backup which I took a long back and wanted to first check from which sat version and OS the data was backed up. So first I checked config files. There is no way to check the sat version of backed up data and from which distro it was taken.

I think its worth adding following files in config backup:

- /etc/redhat-release
- version.rb for satellite version check

Version-Release number of selected component (if applicable):
satellite-6.2.7-1.0.el6sat.noarch

How reproducible:


Steps to Reproduce:
1. katello-backup /var/tmp/bk
2. tar -xvf /var/tmp/bk/config_files.tar.gz
3.

Actual results:
no way check to sat version and OS from backup-up config files

Expected results:
we should add following files:

- /etc/redhat-release ( for os version)
- version.rb (for satellite version check)

Additional info:

Comment 2 Christine Fouant 2017-01-26 21:44:35 UTC
Created redmine issue http://projects.theforeman.org/issues/18277 from this bug

Comment 3 pm-sat@redhat.com 2017-01-27 21:07:19 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18277 has been resolved.

Comment 5 Evgeni Golov 2017-08-09 13:58:30 UTC
VERIFIED

Version Tested:
Satellite 6.3.0 Snap 10
katello-common-3.4.4-2.el7sat.noarch

The backup now includes a metadata.yml file, which contains:
:os_version: Red Hat Enterprise Linux Server release 7.4 (Maipo)
:rpms:
…
- satellite-6.3.0-16.0.beta.el7sat.noarch

Comment 6 pm-sat@redhat.com 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.